import psycopg2
import psycopg2.extras
import stats_cfg as config

class DBConn:
    def __init__(self, database=0):
        self.conn = psycopg2.connect("dbname='%(DATABASE_NAME)s' user='%(DATABASE_USER)s' host='%(DATABASE_HOST)s' password='%(DATABASE_PASSWORD)s'"
                                     % (config.DATABASES[database])
                                    )
        self.cur = self.conn.cursor(cursor_factory=psycopg2.extras.DictCursor)

    def __del__(self):
        self.conn.close()

    def execute(self, query, data=None):
        return self.cur.execute(query, data)

    def fetchquery(self, query):
        self.cur.execute(query)
        return self.cur.fetchall()
